Bug Hunting Session
Bug 50163 - move definition of PLATFORMID into configure.in
Summary: move definition of PLATFORMID into configure.in
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: All All
: medium minor
Assignee: Andras Timar
URL:
Whiteboard: target:3.7.0
Keywords: difficultyBeginner, easyHack, skillScript, topicCleanup
Depends on: 50162
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-20 23:27 UTC by David Tardon
Modified: 2015-12-16 00:20 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Tardon 2012-05-20 23:27:54 UTC
PLATFORMID is used as part of name of binary extensions (and possibly for other purposes as well. I do not really know...) It is defined in solenv/inc/settings.mk as concatenation of $(RTL_OS) and $(RTL_ARCH), converted to lower case. Because the lower case convertion is not easily done in GNU make, it would be best if PLATFORMID were determined by configure .

What needs to be done is to go through platform-specific checks in configure.in and for every pair of RTL_OS and RTL_ARCH define corresponding PLATFORMID . After that, PLATFORMID must be exported in config_host.mk.in and the line in solenv/inc/settings.mk removed.

Note: This is follow-up of bug 50162 and cannot be started before the other one is finished.
Comment 1 Not Assigned 2012-10-01 16:01:22 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e4080dce647edfcec832164fcfb56cb36e220e27

fdo#50163 move definition of PLATFORMID into configure.in



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 2 Robinson Tryon (qubit) 2015-12-16 00:20:21 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillScript TopicCleanup )
[NinjaEdit]